> ## Documentation Index
> Fetch the complete documentation index at: https://telnesstech-a0a16404.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger workflow via webhook

> Trigger a registered workflow via webhook. The wildcard path is matched against registered workflow webhook paths.

If at least one workflow is registered with the matching path, the request body is forwarded to the workflow(s) and a 200 response is returned.

If no workflows match the provided path, a 400 Bad Request is returned.




## OpenAPI

````yaml /api-reference/bundled_openapi.json post /workflows/webhook/{path...}
openapi: 3.1.0
info:
  title: Telness Tech Connect
  version: 2.0.0-alpha
  description: >
    Telness Tech Connect API provides all you need to own your user's
    connectivity experience.


    Go back to [Telnesstech.com](https://telnesstech.com)
servers:
  - url: https://apiv2.example.com
    description: Connect API URL for your domain
security:
  - apiKey: []
  - bearerAuth: []
    apiKey: []
tags:
  - name: Auth
    description: Authenticate users and obtain access tokens.
  - name: Users
    description: Manage users.
  - name: Customers
    description: Manage customers.
  - name: Subscriptions
    description: Manage subscriptions and subscription.
  - name: Subscription Addons
    description: Manage subscription addons.
  - name: Subscription Usage
    description: Get subscription usage.
  - name: Subscribers
    description: Manage subscribers.
  - name: Licenses
    description: Manage licenses.
  - name: Product Offerings
    description: Browse product offerings.
  - name: Product Catalogs
    description: Browse product catalogs.
  - name: Product Discounts
    description: Discounts and promotions.
  - name: Orders
    description: Manage orders and line items.
  - name: Payment Intents
    description: >-
      Inspect payment intents, the money collected over card rails for orders
      and renewals.
  - name: Payment Links
    description: Create and manage payment links for orders and invoices.
  - name: Payment Sessions
    description: Create and manage payment sessions for orders.
  - name: Payment Profiles
    description: Manage customer payment profiles and methods.
  - name: Payment Profile Sessions
    description: Create sessions for setting up payment profiles.
  - name: Signing sessions
    description: Handle contract signing sessions for postpaid orders.
  - name: Porting
    description: Manage number porting for subscriptions.
  - name: Taxes
    description: Calculate taxes for products and line items.
  - name: Invoices
    description: Manage invoices and invoice items.
  - name: Tools
    description: >-
      Tools for address validation, number porting, device info, and network
      coverage.
  - name: Inventory
    description: Manage phone number inventory, SIM cards, and reservations.
  - name: Workflows
    description: Dynamic processing of customer journeys and events.
paths:
  /workflows/webhook/{path...}:
    post:
      tags:
        - Workflows
      summary: Trigger workflow via webhook
      description: >
        Trigger a registered workflow via webhook. The wildcard path is matched
        against registered workflow webhook paths.


        If at least one workflow is registered with the matching path, the
        request body is forwarded to the workflow(s) and a 200 response is
        returned.


        If no workflows match the provided path, a 400 Bad Request is returned.
      operationId: triggerWorkflowWebhook
      parameters:
        - name: path...
          in: path
          required: true
          description: >
            The wildcard webhook path to match against registered workflows.
            Leading slashes in the workflow registration are ignored, so
            `support/intents/reward/topup` and `/support/intents/reward/topup`
            are equivalent.


            This is a greedy path parameter, meaning it captures the entire
            remainder of the URL path.
          schema:
            type: string
          example: support/intents/reward/topup
        - $ref: '#/components/parameters/IdempotencyKey'
      requestBody:
        required: true
        description: >
          The webhook payload. Can be any valid JSON object. The payload data is
          passed to the matching workflow(s) which can access and use any
          properties from it.
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
      responses:
        '200':
          description: Webhook successfully delivered to at least one registered workflow.
          content:
            application/json:
              schema:
                type: object
                required:
                  - workflowTasks
                additionalProperties: false
                properties:
                  workflowTasks:
                    type: array
                    description: >-
                      List of workflow tasks that were triggered by this
                      webhook.
                    items:
                      $ref: '#/components/schemas/EmbeddedWorkflowTask'
                example:
                  workflowTasks:
                    - workflowTaskId: f47ac10b-58cc-4372-a567-0e2b2c3d479
                      name: Reward customer with data top-up
                      description: >-
                        Rewards a customer's subscription with the specified
                        data top-up product offering.
                      createdAt: '2024-01-15T10:35:00Z'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '409':
          $ref: '#/components/responses/Conflict'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security: []
components:
  parameters:
    IdempotencyKey:
      in: header
      name: X-Idempotency-Key
      required: false
      description: >
        A unique key to ensure idempotency of requests. If a request with the
        same key has already been processed, the same result will be returned.

        The key must be unique for each distinct operation. Keys are expired
        after 24 hours, but we recommend using a new key for each request.


        Modified requests with the same idempotency keys are rejected with a
        `409 Conflict` status code.
      schema:
        type: string
        maxLength: 256
  schemas:
    EmbeddedWorkflowTask:
      type: object
      description: >-
        Essential workflow task information for tracking webhook-triggered
        workflow executions.
      required:
        - workflowTaskId
        - name
        - createdAt
      additionalProperties: false
      properties:
        workflowTaskId:
          type: string
          description: The unique identifier for the workflow task.
          example: f47ac10b-58cc-4372-a567-0e02b2c3d479
        name:
          type: string
          description: The name of the workflow that was triggered.
          example: Process Customer Order
        description:
          type: string
          description: A description of what the workflow task does.
          example: Processes new customer orders and initiates fulfillment
        createdAt:
          type: string
          format: date-time
          description: When the workflow task was created.
    Error:
      type: object
      required:
        - message
        - code
      properties:
        message:
          type: string
          description: A human-readable message providing more details about the error.
        code:
          type: string
          description: A machine-readable code for the error.
        details:
          type: array
          description: Additional details about the error.
          items:
            type: object
            required:
              - message
              - code
            properties:
              message:
                type: string
                description: >-
                  A human-readable message providing more details about the
                  error.
              code:
                type: string
                description: A machine-readable code for the specific detail.
              property:
                type: string
                description: The property or field related to the error.
              suggestion:
                $ref: '#/components/schemas/Any'
                description: >
                  A suggested value for the particular property.


                  For example, this may be set when validating an address with
                  an alias, suggesting the expected value by the operator.
        hint:
          type: string
          description: A hint to help resolve the error.
    Any:
      oneOf:
        - type: string
        - type: number
        - type: boolean
        - type: object
          additionalProperties: true
        - type: array
  responses:
    BadRequest:
      description: The request was malformed or invalid.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Authentication is required to access this resource.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Access to this resource is forbidden.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Conflict:
      description: Conflict
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    TooManyRequests:
      description: Too many requests have been sent in a given amount of time.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    InternalServerError:
      description: An unexpected error occurred on the server.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-Api-Key
      description: >
        An API key that grants access to the Connect API. You can create and
        manage API keys in the portal.
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        Bearer authentication with JWT tokens is used to authenticate users.


        Do note that a valid API keys is also required to access the Connect API
        to prove that requests are made by a trusted party.


        Requests with a JWT token is scoped to the permissions of the user the
        token belongs to, regardless of the API key used.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.